CMSIS-DSP: Quaternion normalization

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Quaternion normalization
Quaternion Math Functions

## Functions

void | arm_quaternion_normalize_f32 (const float32_t *pInputQuaternions, float32_t *pNormalizedQuaternions, uint32_t nbQuaternions)
| Floating-point normalization of quaternions. More...

## Description

Compute a normalized quaternion.

## Function Documentation

void arm_quaternion_normalize_f32 | ( | const float32_t * | pInputQuaternions,
|  | float32_t * | pNormalizedQuaternions,
|  | uint32_t | nbQuaternions
| ) |  |

Parameters

  [in] | pInputQuaternions | points to the input vector of quaternions
  [out] | pNormalizedQuaternions | points to the output vector of normalized quaternions
  [in] | nbQuaternions | number of quaternions in each vector

Returns
  none